package com.yidianling.medical.pic

import com.ydl.ydlcommon.base.config.HttpConfig

class MedicalDynamicConstants {
    companion object {
        var ZHUANJIA = HttpConfig.YDL_H5+ "confideDetail?id="

        var WWWXIADAN = HttpConfig.H5_URL+ "consult/commit/"



        const val EACH_PAGE_DATA_NUM = 20

        /**
         * 保存图片成功
         */
        const val REQUEST_SAVE_IMG_SUCCESS = 21004

        /**
         * 保存图片失败
         */
        const val REQUEST_SAVE_IMG_FAIL = 21005

        /**
         * 发表动态从图库中获取图片
         */
        const val REQUEST_CODE_GALLERY_TREN = 21006

        /**
         * 发表动态拍照
         */
        const val REQUEST_CODE_CAMER_TREND = 21007


        //从话题详情页或用户主页跳转到动态详情
        const val JUMP_TREND_INFO = 30006

        /**
         * 发布动态选取的图片查看大图后删除
         */
        const val PUBLISH_PIC_BROW = 21009

        const val IMAGE_PICKER = 32001

        /**
         * 话题详情最新动态列表刷新
         */
        const val TOPIC_DETAIL_NEW_REFRESH = 32101

        /**
         * 话题详情热门动态列表刷新
         */
        const val TOPIC_DETAIL_HOT_REFRESH = 32102


        open var TOPIC_DETAIL_H5 = HttpConfig.H5_URL+ "active/topic-members/"

        open var TRENF_INFO_SHARE_H5 = HttpConfig.MH5_URL + "ask/"

        const val PUBLISH_TYPE = "publish_type"

        const val SILENCED_CODE = 1000020
        const val BIND_PHONE_ACTION = "wxbind"
        const val HELP_URL = "https://h2.yidianling.com/ex-help/96"

        val BIND_PHONE = "为了及时接收消息通知，请立即绑定手机"

    }

}
